<html>
<head>
	<title></title>
</head>
<body style="cursor: auto;"><script type="text/javascript">


function getUrlVars() {
    var vars = {};
    var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value) {
        vars[key] = value;
    });
    return vars;
}
    function Export2Doc(element, filename = 'Pricing_' + getUrlVars()["legacyID"]){
        var html = "<html xmlns:o='urn:schemas-microsoft-com:office:office' xmlns:w='urn:schemas-microsoft-com:office:word' xmlns='http://www.w3.org/TR/REC-html40'><head><meta charset='utf-8'><title>Export HTML To Doc</title></head><body>";
        var footer = "</body></html>";
        var html = html+document.getElementById(element).innerHTML+footer;
    
        
        //link url
        var url = 'data:application/vnd.ms-word;charset=utf-8,' + encodeURIComponent(html);
        
        //file name
        filename = filename?filename+'.doc':'document.doc';
        
        // Creates the  download link element dynamically
        var downloadLink = document.createElement("a");
    
        document.body.appendChild(downloadLink);
        
        //Link to the file
        downloadLink.href = url;
            
        //Setting up file name
        downloadLink.download = filename;
            
        //triggering the function
        downloadLink.click();
        //Remove the a tag after donwload starts.
        document.body.removeChild(downloadLink);
    }

  function printDiv() {
            var divContents = document.getElementById("Proposta_Editavel").innerHTML;
            var a = window.open('', '', 'height=600, width=600');
            a.document.write('<html>');
            a.document.write('<body>');
            a.document.write(divContents);
            a.document.write('</body></html>');
            a.document.close();
            a.print();
    }


var client = getUrlVars()["client"];
var name = getUrlVars()["name"];
var legacyID = getUrlVars()["legacyID"];
var Qtde_Viagem = getUrlVars()["Qtde_Viagem"];
var Preco_Total = getUrlVars()["Preco_Total"] * 1;
var DataHora = getUrlVars()["DataHora"];
var Volume_Caixa = getUrlVars()["Volume_Caixa"];
var Formato_Caixa = getUrlVars()["Formato_Caixa"];
var Distancia = getUrlVars()["Distancia"];


var Caixa_Viagem = Volume_Caixa / Qtde_Viagem
var Preco_Viagem = Preco_Total / Qtde_Viagem
  
</script>
<div id="Proposta_Editavel">

<p style="text-align:center"><img alt="" src="http://brspomdrc2q01:8083/imagens/Prop_02%20-%20Cabecado.png" /></p>

<table align="center" border="0" cellpadding="1" cellspacing="1" style="width: 704px;">
	<tbody>
		<tr>
			<td style="width: 137px;"><strong>Client:</strong></td>
			<td style="width: 554px;"><script>document.write(client.replace(/%20/g," ")); </script></td>
		</tr>
		<tr>
			<td style="width: 137px;"><strong>LOB:</strong></td>
			<td style="width: 554px;">RM</td>
		</tr>
		<tr>
			<td style="width: 137px;"><strong>Project:</strong></td>
			<td style="width: 554px;">Transporte</td>
		</tr>
		<tr>
			<td style="width: 137px;"><strong>Legacy ID:</strong></td>
			<td style="width: 554px;"><script>document.write(legacyID.replace(/%20/g," ")); </script></td>
		</tr>
		<tr>
			<td style="width: 137px;"><strong>Pricing Analyst:</strong></td>
			<td style="width: 554px;">Mounty</td>
		</tr>
		<tr>
			<td style="width: 137px;"><strong>Account Manager:</strong></td>
			<td style="width: 554px;"><script>document.write(name.replace(/%20/g," ")); </script></td>
		</tr>
		<tr>
			<td style="width: 137px;"><strong>Data e Hora::</strong></td>
			<td style="width: 554px;"><script>document.write(DataHora.replace(/%20/g," ")); </script></td>
		</tr>
	</tbody>
</table>

<p>&nbsp;</p>
		
<table align="center" border="0" cellpadding="1" cellspacing="1" style="width: 667px;">
	<tbody>
		<tr>
			<td colspan="2" style="width: 367px;"><strong>Volumes:</strong>

			<hr /></td>
			<td colspan="4" rowspan="1" style="width: 286px;">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3" rowspan="1" style="width: 333px; text-align: center; background-color: rgb(102, 204, 255);"><span style="font-family:arial,helvetica,sans-serif;"><strong></strong></span></td>
			<td rowspan="1" style="width: 161px; text-align: center; background-color: rgb(102, 204, 255);"><strong></strong></td>
			<td rowspan="1" style="width: 155px; text-align: center;">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3" rowspan="1" style="width: 333px; text-align: center;">Quantidade de Caixas</td>
			<td style="width: 161px; text-align: center;"><script>document.write(Volume_Caixa); </script></td>
			<td style="width: 155px; text-align: center;">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3" style="width: 333px; text-align: center;">Formato</td>
			<td style="width: 161px; text-align: center;"><script>document.write(Formato_Caixa.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'})); </script></td>
			<td style="width: 155px; text-align: center;">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3" style="width: 333px; text-align: center;">Distancia</td>
			<td style="width: 161px; text-align: center;"><script>document.write(Distancia.replace(/%20/g," ")); </script></td>
			<td style="width: 155px; text-align: center;">&nbsp;</td>
		</tr>
	</tbody>
</table>

<p>&nbsp;</p>


<table align="center" border="0" cellpadding="1" cellspacing="1" style="width: 667px;">
	<tbody>
		<tr>
			<td colspan="2" style="width: 367px;"><strong>Total do Projeto:</strong>

			<hr /></td>
			<td colspan="4" rowspan="1" style="width: 286px;">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3" rowspan="1" style="width: 333px; text-align: center; background-color: rgb(102, 204, 255);"><span style="font-family:arial,helvetica,sans-serif;"><strong>Descri&ccedil;&atilde;o dos Servi&ccedil;os</strong></span></td>
			<td rowspan="1" style="width: 161px; text-align: center; background-color: rgb(102, 204, 255);"><strong>Valor</strong></td>
			<td rowspan="1" style="width: 155px; text-align: center;">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3" rowspan="1" style="width: 333px; text-align: center;">Quantidade de Viagem(ns)</td>
			<td style="width: 161px; text-align: center;"><script>document.write(Qtde_Viagem); </script></td>
			<td style="width: 155px; text-align: center;">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3" rowspan="1" style="width: 333px; text-align: center;">Caixas por Viagem</td>
			<td style="width: 161px; text-align: center;"><script>document.write(Caixa_Viagem); </script></td>
			<td style="width: 155px; text-align: center;">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3" style="width: 333px; text-align: center;">Preco por Viagem</td>
			<td style="width: 161px; text-align: center;"><script>document.write(Preco_Viagem.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'})); </script></td>
			<td style="width: 155px; text-align: center;">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3" style="width: 333px; text-align: center;">Preco Total</td>
			<td style="width: 161px; text-align: center;"><script>document.write(Preco_Total.toLocaleString('pt-br',{style: 'currency', currency: 'BRL'})); </script></td>
			<td style="width: 155px; text-align: center;">&nbsp;</td>
		</tr>
	</tbody>
</table>

<p>&nbsp;</p>
</div>

<p style="text-align: center;"><button onclick="printDiv();">Imprimir</button><button onclick="Export2Doc('Proposta_Editavel');">Salvar Proposta</button></p>

<p>&nbsp;</p>

<p style="text-align: center;">&nbsp;</p>

<p>&nbsp;</p>
</body>
</html>
